
Enduro/X Core - Support #310

Feature # 328 (Closed): Enduro/X Version 6.0 master task

Ubuntu 18.04 build warnings (gcc7)

04/27/2018 12:53 PM - Madars

Status: Closed Start date: 04/27/2018

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

[  0%] Building C object libnstd/CMakeFiles/nstd.dir/nstopwatch.c.o

[  0%] Building C object libnstd/CMakeFiles/nstd.dir/nclopt.c.o

[  0%] Building C object libnstd/CMakeFiles/nstd.dir/benchmark.c.o

[  0%] Building C object libnstd/CMakeFiles/nstd.dir/ini.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/inicfg.c.o

/home/user1/endurox/libnstd/inicfg.c: In function ‘_ndrx_inicfg_iterate’:

/home/user1/endurox/libnstd/inicfg.c:1001:34: warning: comparison between pointer and zero character constant

 [-Wpointer-compare]

                 else while (EXEOS!=section_start_with[i])

                                  ^~

/home/user1/endurox/libnstd/inicfg.c:1001:36: note: did you mean to dereference the pointer?

                 else while (EXEOS!=section_start_with[i])

                                    ^

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/cconfig.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/nerror.c.o

/home/user1/endurox/libnstd/nerror.c: In function ‘Nstrerror’:

/home/user1/endurox/libnstd/nerror.c:129:56: warning: ‘%s’ directive output may be truncated writing up to 1024 bytes into a region

 of size 1007 [-Wformat-truncation=]

                                 "%d:%s (last error %d: %s)",

                                                        ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libnstd/nerror.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output 20 or more bytes (assuming 1044) into a

 destination of size 1025

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/nstd_tls.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/ulog.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/sys_genunix.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/sys_epoll.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/sys_linux.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/sys_common.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/sys_posixq.c.o

[  1%] Building C object libnstd/CMakeFiles/nstd.dir/tplog.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/exregex.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/platform.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/msgsizemax.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/exaes.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/exsha1.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/exbase64.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/crypto.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/expluginbase.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/lmdb/eidl.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/lmdb/edb.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/edbutil.c.o

[  2%] Building C object libnstd/CMakeFiles/nstd.dir/crc32.c.o

[  3%] Linking C shared library libnstd.so
[  3%] Built target nstd

Scanning dependencies of target embedfile

[  3%] Building C object embedfile/CMakeFiles/embedfile.dir/embedfile.c.o

[  4%] Linking C executable embedfile

[  4%] Built target embedfile

Scanning dependencies of target cgreen

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/assertions.c.o

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/boxed_double.c.o

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/breadcrumb.c.o

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/cdash_reporter.c.o

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/constraint.c.o

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/constraint_syntax_helpers.c.o

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/cute_reporter.c.o

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/message_formatting.c.o

[  4%] Building C object libcgreen/CMakeFiles/cgreen.dir/messaging.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/mocks.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/parameters.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/reporter.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/runner.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/string_comparison.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/suite.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/text_reporter.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/utils.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/vector.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/posix_runner_platform.c.o

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/posix_cgreen_pipe.c.o

[  6%] Linking C static library libcgreen.a

[  6%] Built target cgreen

Scanning dependencies of target exuuid

[  6%] Building C object libexuuid/CMakeFiles/exuuid.dir/clear.c.o

[  7%] Building C object libexuuid/CMakeFiles/exuuid.dir/compare.c.o

[  7%] Building C object libexuuid/CMakeFiles/exuuid.dir/copy.c.o

[  7%] Building C object libexuuid/CMakeFiles/exuuid.dir/exuuid_time.c.o

[  7%] Building C object libexuuid/CMakeFiles/exuuid.dir/gen_exuuid.c.o

In file included from /usr/include/x86_64-linux-gnu/bits/libc-header-start.h:33:0,

                 from /usr/include/stdio.h:27,

                 from /home/user1/endurox/libexuuid/gen_exuuid.c:46:

/usr/include/features.h:184:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use

 _DEFAULT_SOURCE" [-Wcpp]

 # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"

   ^~~~~~~

[  8%] Building C object libubf/CMakeFiles/ubf.dir/bprint_impl.c.o

[  8%] Building C object libubf/CMakeFiles/ubf.dir/fmerge.c.o

[  8%] Building C object libubf/CMakeFiles/ubf.dir/ferror.c.o

/home/user1/endurox/libubf/ferror.c: In function ‘Bstrerror’:

/home/user1/endurox/libubf/ferror.c:145:40: warning: ‘%s’ directive output may be truncated writing up to 1024 bytes into a region of

 size 1007 [-Wformat-truncation=]

                 "%d:%s (last error %d: %s)",

                                        ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libubf/ferror.c:37:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output 20 or more bytes (assuming 1044) into a

 destination of size 1025

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[  8%] Building C object libubf/CMakeFiles/ubf.dir/fdatatype.c.o

/home/user1/endurox/libatmi/tperror.c: In function ‘tpstrerror’:

/home/user1/endurox/libatmi/tperror.c:187:40: warning: ‘%s’ directive output may be truncated writing up to 1024 bytes into a region

 of size 1007 [-Wformat-truncation=]

                 "%d:%s (last error %d: %s)",

                                        ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/tperror.c:35:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output 20 or more bytes (assuming 1044) into a

 destination of size 1025
   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/tpcall.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmi/tpcall.c:44:

/home/user1/endurox/libatmi/tpcall.c: In function ‘ndrx_tpacall’:

/home/user1/endurox/include/xatmi.h:102:35: warning: ‘,svc,@TPBRIDGE’ directive output may be truncated writing 14 bytes into a

 region of size between 1 and 129 [-Wformat-truncation=]

 #define NDRX_SVC_QBRDIGE          "%s,svc,@TPBRIDGE%03d" /* Bridge service Q format         */

                                   ^

/home/user1/endurox/libatmi/tpcall.c:444:42: note: in expansion of macro ‘NDRX_SVC_QBRDIGE’

         snprintf(send_q, sizeof(send_q), NDRX_SVC_QBRDIGE,

                                          ^~~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/tpcall.c:36:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 18 and 154 bytes into a destination

 of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_buf.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_ubf.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_tpinit.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_null.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_string.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_json.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/typed_carray.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/typed_view.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/atmiutils.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/init.c.o

/home/user1/endurox/libatmi/init.c: In function ‘ndrx_load_common_env’:

/home/user1/endurox/libatmi/init.c:299:22: warning: ‘__builtin___snprintf_chk’ output may be truncated before the last format

 character [-Wformat-truncation=]

                 "%s%c", G_atmi_env.qprefix, NDRX_FMT_SEP);

                      ^

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/init.c:36:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 2 and 130 bytes into a destination

 of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmi/init.c:48:

/home/user1/endurox/libatmi/init.c: In function ‘tp_internal_init’:

/home/user1/endurox/include/xatmi.h:87:27: warning: ‘,sys,bg,ndrxd’ directive output may be truncated writing 13 bytes into a region

 of size between 1 and 129 [-Wformat-truncation=]

 #define NDRX_NDRXD        "%s,sys,bg,ndrxd"

                           ^

/home/user1/endurox/libatmi/init.c:758:58: note: in expansion of macro ‘NDRX_NDRXD’

             sizeof(G_atmi_tls->G_atmi_conf.ndrxd_q_str), NDRX_NDRXD,

                                                          ^~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/init.c:36:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 14 and 142 bytes into a destination

 of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmi/init.c:48:

/home/user1/endurox/libatmi/init.c: In function ‘tpinit’:
/home/user1/endurox/include/xatmi.h:129:27: warning: ‘,clt,reply,’ directive output may be truncated writing 11 bytes into a region of

 size between 1 and 129 [-Wformat-truncation=]

 #define NDRX_CLT_QREPLY   "%s,clt,reply,%s,%d,%ld" /* pfx, name, pid, context id*/

                           ^

/home/user1/endurox/libatmi/init.c:934:40: note: in expansion of macro ‘NDRX_CLT_QREPLY’

     snprintf(reply_q, sizeof(reply_q), NDRX_CLT_QREPLY, conf.q_prefix,

                                        ^~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/init.c:36:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output 16 or more bytes (assuming 144) into a

 destination of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/conversation.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/include/atmi_int.h:43,

                 from /home/user1/endurox/libatmi/conversation.c:45:

/home/user1/endurox/libatmi/conversation.c: In function ‘ndrx_tpconnect’:

/home/user1/endurox/include/xatmi.h:140:31: warning: ‘,cnv,c,’ directive output may be truncated writing 7 bytes into a region of size

 between 1 and 129 [-Wformat-truncation=]

 #define NDRX_CONV_INITATOR_Q  "%s,cnv,c,%s,%d" /* Conversation initiator */

                               ^

/home/user1/endurox/libatmi/conversation.c:723:46: note: in expansion of macro ‘NDRX_CONV_INITATOR_Q’

     snprintf(reply_qstr, sizeof(reply_qstr), NDRX_CONV_INITATOR_Q,

                                              ^~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/conversation.c:36:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 10 and 244 bytes into a destination

 of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/include/atmi_int.h:43,

                 from /home/user1/endurox/libatmi/conversation.c:45:

/home/user1/endurox/libatmi/conversation.c: In function ‘accept_connection’:

/home/user1/endurox/include/xatmi.h:143:31: warning: ‘,cnv,s,’ directive output may be truncated writing 7 bytes into a region of size

 between 1 and 129 [-Wformat-truncation=]

 #define NDRX_CONV_SRV_Q       "%s,cnv,s,%s,%d,%s" /* Conversation server Q */

                               ^

/home/user1/endurox/libatmi/conversation.c:185:21: note: in expansion of macro ‘NDRX_CONV_SRV_Q’

                     NDRX_CONV_SRV_Q,

                     ^~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/conversation.c:36:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 11 and 341 bytes into a destination

 of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/include/atmi_int.h:43,

                 from /home/user1/endurox/libatmi/conversation.c:45:

/home/user1/endurox/include/xatmi.h:102:35: warning: ‘,svc,@TPBRIDGE’ directive output may be truncated writing 14 bytes into a

 region of size between 1 and 129 [-Wformat-truncation=]

 #define NDRX_SVC_QBRDIGE          "%s,svc,@TPBRIDGE%03d" /* Bridge service Q format         */

                                   ^

/home/user1/endurox/libatmi/conversation.c:214:49: note: in expansion of macro ‘NDRX_SVC_QBRDIGE’

         snprintf(their_qstr, sizeof(their_qstr),NDRX_SVC_QBRDIGE,

                                                 ^~~~~~~~~~~~~~~~

/home/user1/endurox/include/xatmi.h:102:35: note: directive argument in the range [-128, 127]

 #define NDRX_SVC_QBRDIGE          "%s,svc,@TPBRIDGE%03d" /* Bridge service Q format         */

                                   ^
/home/user1/endurox/libatmi/conversation.c:214:49: note: in expansion of macro ‘NDRX_SVC_QBRDIGE’

         snprintf(their_qstr, sizeof(their_qstr),NDRX_SVC_QBRDIGE,

                                                 ^~~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/conversation.c:36:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 18 and 147 bytes into a destination

 of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/tpevents.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/shm.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/sem.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/brsupport.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/xa.c.o

[ 14%] Building C object libatmi/CMakeFiles/atmi.dir/xautils.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/xastates.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/exparson.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/ubf2exjson.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/view2exjson.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/newenv.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/typed_xcvt.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/ubfutil.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/qcommon.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/sysutil.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_tls.c.o

[ 15%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_tplog.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/oatmi.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/oubf.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/ondebug.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/onerror.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/tpnotify.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmi/tpnotify.c:42:

/home/user1/endurox/libatmi/tpnotify.c: In function ‘ndrx_tpnotify’:

/home/user1/endurox/include/xatmi.h:102:35: warning: ‘,svc,@TPBRIDGE’ directive output may be truncated writing 14 bytes into a

 region of size between 1 and 129 [-Wformat-truncation=]

 #define NDRX_SVC_QBRDIGE          "%s,svc,@TPBRIDGE%03d" /* Bridge service Q format         */

                                   ^

/home/user1/endurox/libatmi/tpnotify.c:135:42: note: in expansion of macro ‘NDRX_SVC_QBRDIGE’

         snprintf(send_q, sizeof(send_q), NDRX_SVC_QBRDIGE,

                                          ^~~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmi/tpnotify.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 18 and 154 bytes into a destination

 of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/identifiers.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_cache_init.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_cache_edb.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_cache_ops.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_cache_ubf.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_cache_events.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_cache_inval.c.o

[ 17%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_cache_mgt.c.o

[ 17%] Building C object libatmi/CMakeFiles/atmi.dir/atmi_cache_keygrp.c.o

[ 17%] Linking C shared library libatmi.so

[ 17%] Built target atmi

Scanning dependencies of target atmisrv

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/srvmain.c.o

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/svqdispatch.c.o

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/init.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,
                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:

/home/user1/endurox/libatmisrv/init.c: In function ‘sys_advertise_service.constprop’:

/home/user1/endurox/include/xatmi.h:93:27: warning: ‘,svc,’ directive output may be truncated writing 5 bytes into a region of size

 between 1 and 4097 [-Wformat-truncation=]

 #define NDRX_SVC_QFMT     "%s,svc,%s"            /* Q format in epoll mode (one q multiple servers) */

                           ^

/home/user1/endurox/libatmisrv/init.c:143:64: note: in expansion of macro ‘NDRX_SVC_QFMT’

             snprintf(entry->listen_q, sizeof(entry->listen_q), NDRX_SVC_QFMT,

                                                                ^~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 6 and 4132 bytes into a destination

 of size 4097

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:

/home/user1/endurox/libatmisrv/init.c: In function ‘atmisrv_build_advertise_list’:

/home/user1/endurox/include/xatmi.h:97:27: warning: ‘%s’ directive output may be truncated writing up to 4096 bytes into a region of

 size 129 [-Wformat-truncation=]

 #define NDRX_ADMIN_FMT    "%s,srv,admin,%s,%d,%d"

                           ^

/home/user1/endurox/libatmisrv/init.c:258:38: note: in expansion of macro ‘NDRX_ADMIN_FMT’

     snprintf(adminq, sizeof(adminq), NDRX_ADMIN_FMT, G_server_conf.q_prefix,

                                      ^~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 16 and 4162 bytes into a

 destination of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:

/home/user1/endurox/include/xatmi.h:121:27: warning: ‘%s’ directive output may be truncated writing up to 4096 bytes into a region

 of size 129 [-Wformat-truncation=]

 #define NDRX_SVR_QREPLY   "%s,srv,reply,%s,%d,%d" /* qpfx, procname, serverid, pid */

                           ^

/home/user1/endurox/libatmisrv/init.c:267:38: note: in expansion of macro ‘NDRX_SVR_QREPLY’

     snprintf(replyq, sizeof(replyq), NDRX_SVR_QREPLY, G_server_conf.q_prefix,

                                      ^~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 16 and 4162 bytes into a

 destination of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/serverapi.c.o

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/tpreturn.c.o

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/rawmain.c.o

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/ndrxdapi.c.o

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/dynadv.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/dynadv.c:46:

/home/user1/endurox/libatmisrv/dynadv.c: In function ‘dynamic_advertise’:

/home/user1/endurox/include/xatmi.h:93:27: warning: ‘,svc,’ directive output may be truncated writing 5 bytes into a region of size

 between 1 and 4097 [-Wformat-truncation=]

 #define NDRX_SVC_QFMT     "%s,svc,%s"            /* Q format in epoll mode (one q multiple servers) */
                           ^

/home/user1/endurox/libatmisrv/dynadv.c:355:64: note: in expansion of macro ‘NDRX_SVC_QFMT’

     snprintf(entry_new->listen_q, sizeof(entry_new->listen_q), NDRX_SVC_QFMT,

                                                                ^~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/dynadv.c:35:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 6 and 4132 bytes into a destination

 of size 4097

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 17%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/pollextension.c.o

[ 18%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/standard.c.o

[ 18%] Building C object libatmisrv/CMakeFiles/atmisrv.dir/oatmisrv.c.o

[ 18%] Linking C shared library libatmisrv.so

[ 18%] Built target atmisrv

Scanning dependencies of target atmisrvdum

[ 18%] Building C object libatmisrv/CMakeFiles/atmisrvdum.dir/dum.c.o

[ 18%] Linking C shared library libatmisrvdum.so

[ 18%] Built target atmisrvdum

Scanning dependencies of target atmisrvnomain

[ 18%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/svqdispatch.c.o

[ 18%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/init.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:

/home/user1/endurox/libatmisrv/init.c: In function ‘sys_advertise_service.constprop’:

/home/user1/endurox/include/xatmi.h:93:27: warning: ‘,svc,’ directive output may be truncated writing 5 bytes into a region of size

 between 1 and 4097 [-Wformat-truncation=]

 #define NDRX_SVC_QFMT     "%s,svc,%s"            /* Q format in epoll mode (one q multiple servers) */

                           ^

/home/user1/endurox/libatmisrv/init.c:143:64: note: in expansion of macro ‘NDRX_SVC_QFMT’

             snprintf(entry->listen_q, sizeof(entry->listen_q), NDRX_SVC_QFMT,

                                                                ^~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 6 and 4132 bytes into a destination

 of size 4097

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:

/home/user1/endurox/libatmisrv/init.c: In function ‘atmisrv_build_advertise_list’:

/home/user1/endurox/include/xatmi.h:97:27: warning: ‘%s’ directive output may be truncated writing up to 4096 bytes into a region of

 size 129 [-Wformat-truncation=]

 #define NDRX_ADMIN_FMT    "%s,srv,admin,%s,%d,%d"

                           ^

/home/user1/endurox/libatmisrv/init.c:258:38: note: in expansion of macro ‘NDRX_ADMIN_FMT’

     snprintf(adminq, sizeof(adminq), NDRX_ADMIN_FMT, G_server_conf.q_prefix,

                                      ^~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 16 and 4162 bytes into a

 destination of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:

/home/user1/endurox/include/xatmi.h:121:27: warning: ‘%s’ directive output may be truncated writing up to 4096 bytes into a region

 of size 129 [-Wformat-truncation=]
 #define NDRX_SVR_QREPLY   "%s,srv,reply,%s,%d,%d" /* qpfx, procname, serverid, pid */

                           ^

/home/user1/endurox/libatmisrv/init.c:267:38: note: in expansion of macro ‘NDRX_SVR_QREPLY’

     snprintf(replyq, sizeof(replyq), NDRX_SVR_QREPLY, G_server_conf.q_prefix,

                                      ^~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 16 and 4162 bytes into a

 destination of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 18%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/serverapi.c.o

[ 18%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/tpreturn.c.o

[ 18%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/srvmain.c.o

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/ndrxdapi.c.o

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/dynadv.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/dynadv.c:46:

/home/user1/endurox/libatmisrv/dynadv.c: In function ‘dynamic_advertise’:

/home/user1/endurox/include/xatmi.h:93:27: warning: ‘,svc,’ directive output may be truncated writing 5 bytes into a region of size

 between 1 and 4097 [-Wformat-truncation=]

 #define NDRX_SVC_QFMT     "%s,svc,%s"            /* Q format in epoll mode (one q multiple servers) */

                           ^

/home/user1/endurox/libatmisrv/dynadv.c:355:64: note: in expansion of macro ‘NDRX_SVC_QFMT’

     snprintf(entry_new->listen_q, sizeof(entry_new->listen_q), NDRX_SVC_QFMT,

                                                                ^~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/dynadv.c:35:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 6 and 4132 bytes into a destination

 of size 4097

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/pollextension.c.o

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/standard.c.o

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvnomain.dir/oatmisrv.c.o

[ 19%] Linking C shared library libatmisrvnomain.so

[ 19%] Built target atmisrvnomain

Scanning dependencies of target atmisrvinteg

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvinteg.dir/svqdispatch.c.o

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvinteg.dir/init.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:

/home/user1/endurox/libatmisrv/init.c: In function ‘sys_advertise_service.constprop’:

/home/user1/endurox/include/xatmi.h:93:27: warning: ‘,svc,’ directive output may be truncated writing 5 bytes into a region of size

 between 1 and 4097 [-Wformat-truncation=]

 #define NDRX_SVC_QFMT     "%s,svc,%s"            /* Q format in epoll mode (one q multiple servers) */

                           ^

/home/user1/endurox/libatmisrv/init.c:143:64: note: in expansion of macro ‘NDRX_SVC_QFMT’

             snprintf(entry->listen_q, sizeof(entry->listen_q), NDRX_SVC_QFMT,

                                                                ^~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 6 and 4132 bytes into a destination

 of size 4097

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:
/home/user1/endurox/libatmisrv/init.c: In function ‘atmisrv_build_advertise_list’:

/home/user1/endurox/include/xatmi.h:97:27: warning: ‘%s’ directive output may be truncated writing up to 4096 bytes into a region of

 size 129 [-Wformat-truncation=]

 #define NDRX_ADMIN_FMT    "%s,srv,admin,%s,%d,%d"

                           ^

/home/user1/endurox/libatmisrv/init.c:258:38: note: in expansion of macro ‘NDRX_ADMIN_FMT’

     snprintf(adminq, sizeof(adminq), NDRX_ADMIN_FMT, G_server_conf.q_prefix,

                                      ^~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 16 and 4162 bytes into a

 destination of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/init.c:43:

/home/user1/endurox/include/xatmi.h:121:27: warning: ‘%s’ directive output may be truncated writing up to 4096 bytes into a region

 of size 129 [-Wformat-truncation=]

 #define NDRX_SVR_QREPLY   "%s,srv,reply,%s,%d,%d" /* qpfx, procname, serverid, pid */

                           ^

/home/user1/endurox/libatmisrv/init.c:267:38: note: in expansion of macro ‘NDRX_SVR_QREPLY’

     snprintf(replyq, sizeof(replyq), NDRX_SVR_QREPLY, G_server_conf.q_prefix,

                                      ^~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/init.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 16 and 4162 bytes into a

 destination of size 129

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvinteg.dir/serverapi.c.o

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvinteg.dir/tpreturn.c.o

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvinteg.dir/srvmain.c.o

[ 19%] Building C object libatmisrv/CMakeFiles/atmisrvinteg.dir/ndrxdapi.c.o

[ 20%] Building C object libatmisrv/CMakeFiles/atmisrvinteg.dir/dynadv.c.o

In file included from /home/user1/endurox/include/atmi.h:41:0,

                 from /home/user1/endurox/libatmisrv/srv_int.h:42,

                 from /home/user1/endurox/libatmisrv/dynadv.c:46:

/home/user1/endurox/libatmisrv/dynadv.c: In function ‘dynamic_advertise’:

/home/user1/endurox/include/xatmi.h:93:27: warning: ‘,svc,’ directive output may be truncated writing 5 bytes into a region of size

 between 1 and 4097 [-Wformat-truncation=]

 #define NDRX_SVC_QFMT     "%s,svc,%s"            /* Q format in epoll mode (one q multiple servers) */

                           ^

/home/user1/endurox/libatmisrv/dynadv.c:355:64: note: in expansion of macro ‘NDRX_SVC_QFMT’

     snprintf(entry_new->listen_q, sizeof(entry_new->listen_q), NDRX_SVC_QFMT,

                                                                ^~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/libatmisrv/dynadv.c:35:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 6 and 4132 bytes into a destination

 of size 4097

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 20%] Building C object libatmisrv/CMakeFiles/atmisrvinteg.dir/pollextension.c.o

[ 25%] Building C object ndrxd/CMakeFiles/ndrxd.dir/ndrxd.c.o

[ 25%] Building C object ndrxd/CMakeFiles/ndrxd.dir/appconfig.c.o

[ 25%] Building C object ndrxd/CMakeFiles/ndrxd.dir/pmodel.c.o

/home/user1/endurox/ndrxd/pmodel.c: In function ‘build_process_model’:

/home/user1/endurox/ndrxd/pmodel.c:558:69: warning: ‘%s’ directive output may be truncated writing up to 4095 bytes into a region

 of size between 3822 and 3959 [-Wformat-truncation=]

             snprintf(p_pm->clopt, sizeof(p_pm->clopt), "-k %s -i %d %s",

                                                                     ^~
In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/ndrxd/pmodel.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 10 and 4242 bytes into a

 destination of size 3968

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 25%] Building C object ndrxd/CMakeFiles/ndrxd.dir/admerror.c.o

[ 34%] Building C object tmsrv/CMakeFiles/tmsrv.dir/tmsrv.c.o

[ 34%] Building C object tmsrv/CMakeFiles/tmsrv.dir/xasrvutil.c.o

[ 34%] Building C object tmsrv/CMakeFiles/tmsrv.dir/log.c.o

/home/user1/endurox/tmsrv/log.c: In function ‘tms_open_logfile’:

/home/user1/endurox/tmsrv/log.c:242:29: warning: ‘/TRN-’ directive writing 5 bytes into a region of size between 2 and 4097

 [-Wformat-overflow=]

     sprintf(p_tl->fname, "%s/TRN-%ld-%hd-%d-%s", G_tmsrv_cfg.tlog_dir,

                             ^~~~~

/home/user1/endurox/tmsrv/log.c:242:26: note: using the range [-32768, 32767] for directive argument

     sprintf(p_tl->fname, "%s/TRN-%ld-%hd-%d-%s", G_tmsrv_cfg.tlog_dir,

                          ^~~~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/tmsrv/log.c:32:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:33:10: note: ‘__builtin___sprintf_chk’ output between 12 and 4189 bytes into a destination

 of size 4097

   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

       __bos (__s), __fmt, __va_arg_pack ());

       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 34%] Building C object tmsrv/CMakeFiles/tmsrv.dir/local.c.o

[ 35%] Building C object tmsrv/CMakeFiles/tmsrv.dir/background.c.o

/home/user1/endurox/tmsrv/background.c: In function ‘background_read_log’:

/home/user1/endurox/tmsrv/background.c:140:59: warning: ‘%s’ directive output may be truncated writing up to 255 bytes into a

 region of size between 1 and 4096 [-Wformat-truncation=]

                snprintf(fnamefull, sizeof(fnamefull), "%s/%s", G_tmsrv_cfg.tlog_dir,

                                                           ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/tmsrv/background.c:34:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 2 and 4352 bytes into a destination

 of size 4097

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 35%] Building C object tmsrv/CMakeFiles/tmsrv.dir/tmapi.c.o

[ 37%] Linking C shared library libndrxxaqdisks.so

[ 37%] Built target ndrxxaqdisks

Scanning dependencies of target cpmsrv

[ 37%] Building C object cpmsrv/CMakeFiles/cpmsrv.dir/cpmsrv.c.o

/home/user1/endurox/cpmsrv/cpmsrv.c: In function ‘CPMSVC’:

/home/user1/endurox/cpmsrv/cpmsrv.c:743:50: warning: ‘%s’ directive output may be truncated writing up to 128 bytes into a region

 of size between 127 and 255 [-Wformat-truncation=]

             snprintf(output, sizeof(output), "%s/%s - running pid %d (%s)",

                                                  ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/cpmsrv/cpmsrv.c:33:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output 21 or more bytes (assuming 277) into a

 destination of size 256

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/home/user1/endurox/cpmsrv/cpmsrv.c:749:50: warning: ‘%s’ directive output may be truncated writing up to 128 bytes into a region

 of size between 127 and 255 [-Wformat-truncation=]

             snprintf(output, sizeof(output), "%s/%s - starting (%s)",c->tag,

                                                  ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/cpmsrv/cpmsrv.c:33:

04/26/2024 10/12



/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output 16 or more bytes (assuming 272) into a

 destination of size 256

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/home/user1/endurox/cpmsrv/cpmsrv.c:754:50: warning: ‘%s’ directive output may be truncated writing up to 128 bytes into a region

 of size between 127 and 255 [-Wformat-truncation=]

             snprintf(output, sizeof(output), "%s/%s - dead %d (%s)", c->tag, c->subsect,

                                                  ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/cpmsrv/cpmsrv.c:33:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output 14 or more bytes (assuming 270) into a

 destination of size 256

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/home/user1/endurox/cpmsrv/cpmsrv.c:759:50: warning: ‘%s’ directive output may be truncated writing up to 128 bytes into a region

 of size between 127 and 255 [-Wformat-truncation=]

             snprintf(output, sizeof(output), "%s/%s - shutdown (%s)", c->tag, c->subsect,

                                                  ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/cpmsrv/cpmsrv.c:33:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output 16 or more bytes (assuming 272) into a

 destination of size 256

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/home/user1/endurox/cpmsrv/cpmsrv.c:764:50: warning: ‘%s’ directive output may be truncated writing up to 128 bytes into a region

 of size between 127 and 255 [-Wformat-truncation=]

             snprintf(output, sizeof(output), "%s/%s - not started", c->tag, c->subsect);

                                                  ^~

In file included from /usr/include/stdio.h:862:0,

                 from /home/user1/endurox/cpmsrv/cpmsrv.c:33:

/usr/include/x86_64-linux-gnu/bits/stdio2.h:64:10: note: ‘__builtin___snprintf_chk’ output between 16 and 272 bytes into a destination

 of size 256

   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,

          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        __bos (__s), __fmt, __va_arg_pack ());

        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[ 37%] Building C object cpmsrv/CMakeFiles/cpmsrv.dir/cltconfig.c.o

History

#1 - 04/27/2018 01:41 PM - Madars

- Tracker changed from Bug to Support

#2 - 08/03/2018 11:19 AM - Madars

For freebsd/clang following shall be fixed:

[  5%] Built target embedfile

[  5%] Building C object libcgreen/CMakeFiles/cgreen.dir/assertions.c.o

warning: unknown warning option '-Wno-format-truncation' [-Wunknown-warning-option]

1 warning generated.
#3 - 08/15/2018 01:26 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Parent task set to #328

#4 - 08/15/2018 01:26 PM - Madars

- Status changed from Resolved to Closed
